Loading...
Searching...
No Matches
Magick::drawImage Class Reference

## Public Member Functions

| drawImage (const Drawable &drawable_)
| drawImage (const DrawableList &drawable_)
void | operator() (Image &image_) const

## Private Attributes

DrawableList | _drawableList

## Detailed Description

Definition at line 372 of file STL.h.

## Constructor & Destructor Documentation

## drawImage() [1/2]

Magick::drawImage::drawImage | ( | const Drawable & | drawable_ | ) |

Definition at line 330 of file STL.cpp.

: _drawableList()
{
_drawableList.push_back( drawable_ );
}

## drawImage() [2/2]

Magick::drawImage::drawImage | ( | const DrawableList & | drawable_ | ) |

Definition at line 335 of file STL.cpp.

: _drawableList( drawable_ )
{
}

## Member Function Documentation

## operator()()

void Magick::drawImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 339 of file STL.cpp.

{
image_.draw( _drawableList );
}

## Field Documentation

## _drawableList

DrawableList Magick::drawImage::_drawableList

private

Definition at line 385 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp